import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
export declare class Table {
    el: HTMLElement;
    glTableSort: EventEmitter;
    columns: HTMLGlTableColumnElement[];
    disableDefaultSort: boolean;
    features: any[];
    id: string;
    rowClassAttribute: string;
    sortAttribute: string;
    sortOrder: 'asc' | 'desc';
    componentWillLoad(): void;
    componentDidLoad(): void;
    updateColumns(): void;
    setSort(column: any): void;
    getSortedFeatures(): Promise<any[]>;
    sortedFeatures(): any[];
    renderHeader(column: any): JSX.Element;
    getCellContents(feature: any, column: any, format: 'pdf' | 'text'): Promise<any>;
    renderValue(column: any, value: any): any;
    renderComponentJSX(feature: any, column: any, value: any): JSX.Element;
    renderComponentAsText(feature: any, column: any, value: any, format: any): Promise<any>;
    renderCell(feature: any, column: any): JSX.Element;
    renderRow(feature: any, columns: any): JSX.Element;
    render(): JSX.Element;
}
